--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Initializes a new Repository
- !ruby/struct:SM::Flow::VERB 
  body: "  TODO: create example\n"
- !ruby/struct:SM::Flow::P 
  body: "@param [Symbol] name"
- !ruby/struct:SM::Flow::VERB 
  body: "  The name of the Repository\n"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Repository::new
is_singleton: true
name: new
params: (name)
visibility: public
